### Method

# Ggit Commit get_message_encoding

#### Declaration [src]

    const gchar*
    ggit_commit_get_message_encoding (
      GgitCommit* commit
    )

#### Description [src]

Get the encoding for the message of a commit, as a string representing a standard encoding name.

The encoding may be `NULL` if the ‘encoding’ header in the commit is missing; in that case UTF-8 is assumed.

#### Return value

Type: `const gchar*`

The encoding of the commit message or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.